Bug 1666749 (CVE-2019-2503) - CVE-2019-2503 mysql: Server: Connection Handling unspecified vulnerability (CPU Jan 2019)
Summary: CVE-2019-2503 mysql: Server: Connection Handling unspecified vulnerability (C...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2503
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1670205 1664043 1664048 1666776 1666777 1666778 1666779 1666780 1670204 1670206 1701261
Blocks: 1666766
TreeView+ depends on / blocked
 
Reported: 2019-01-16 13:52 UTC by Tomas Hoger
Modified: 2019-09-29 15:05 UTC (History)
21 users (show)

Fixed In Version: mysql 5.6.43, mysql 5.7.25, mysql 8.0.14, mariadb 5.5.62, mariadb 10.3.10, mariadb 10.2.18, mariadb 10.1.36, mariadb 10.0.37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:45:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2518 None None None 2019-08-19 08:19:38 UTC
Red Hat Product Errata RHSA-2019:1258 None None None 2019-05-21 19:55:33 UTC
Red Hat Product Errata RHSA-2019:2327 None None None 2019-08-06 12:41:11 UTC
Red Hat Product Errata RHSA-2019:2484 None None None 2019-08-14 06:58:42 UTC
Red Hat Product Errata RHSA-2019:2511 None None None 2019-08-15 17:46:36 UTC

Description Tomas Hoger 2019-01-16 13:52:29 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Connection Handling). Supported versions that are affected are 5.6.42 and prior, 5.7.24 and prior and 8.0.13 and prior. Difficult to exploit vulnerability allows low privileged attacker with access to the physical communication segment attached to the hardware where the MySQL Server executes to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized access to critical data or complete access to all MySQL Server accessible data and unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html

Comment 1 Tomas Hoger 2019-01-16 14:19:59 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-28 [bug 1666776]
Affects: fedora-29 [bug 1666778]


Created mysql:5.6/community-mysql tracking bugs for this issue:

Affects: fedora-28 [bug 1666780]


Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-29 [bug 1666779]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-28 [bug 1666777]

Comment 3 errata-xmlrpc 2019-05-21 19:55:32 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1258 https://access.redhat.com/errata/RHSA-2019:1258

Comment 4 errata-xmlrpc 2019-08-06 12:41:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2327 https://access.redhat.com/errata/RHSA-2019:2327

Comment 5 errata-xmlrpc 2019-08-14 06:58:40 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:2484 https://access.redhat.com/errata/RHSA-2019:2484

Comment 6 errata-xmlrpc 2019-08-15 17:46:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2511 https://access.redhat.com/errata/RHSA-2019:2511


Note You need to log in before you can comment on or make changes to this bug.